View Issue Details

IDProjectCategoryView StatusLast Update
0013160mantisbtreportspublic2016-07-19 04:19
ReporterayonikAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.4 
Target Version2.0.0-beta.1Fixed in Version2.0.0-beta.1 
Summary0013160: Labels on x-axis in summary graphs too small and cropped (ezcLibrary)
Description

The labels on the x-axis of all graphs in summary are so small (using ezcLibrary), that they cannot be read and additionally they are cropped. This makes it difficult to read the graphs.

Steps To Reproduce

Call any graph. E.g. summary per state

Additional Information

The standard minimum font size of ezc is 6 point, which should be increased to 10 point.
To have more space to print the labels, the xAxisSpace should be increased to 0.2.

This are my suggested changes (only for ezclibrary):
graph_api.php, function graph_bar (added lines marked with +):

if ( plugin_config_get( 'eczlibrary' ) == ON ) {
    $graph = new ezcGraphBarChart();
    $graph->title = $p_title;
    $graph->background->color = '#FFFFFF';
    $graph->options->font = $t_graph_font ;
    $graph->options->font->maxFontSize = 12;
  • #START ayonik customization 20.07.2011
  • $graph->options->font->minFontSize = 10;
  • #END ayonik customization 20.07.2011

    $graph->legend = false;
    
    $graph->data[0] = new ezcGraphArrayDataSet( $p_metrics );
    $graph->data[0]->color = '#FFFF00';
    
    $graph->xAxis->axisLabelRenderer = new ezcGraphAxisRotatedLabelRenderer();
    $graph->xAxis->axisLabelRenderer->angle = 45;
  • #START ayonik customization 20.07.2011
  • $graph->xAxis->axisSpace = 0.2;
  • #END ayonik customization 20.07.2011

    $graph->driver = new ezcGraphGdDriver();
    //$graph->driver->options->supersampling = 1;
    $graph->driver->options->jpegQuality = 100;
    $graph->driver->options->imageFormat = IMG_JPEG;

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-07-20 16:32 ayonik New Issue
2014-11-25 11:04 vboctor Category graphs => reports
2016-07-09 17:44 vboctor Assigned To => vboctor
2016-07-09 17:44 vboctor Status new => resolved
2016-07-09 17:44 vboctor Resolution open => fixed
2016-07-09 17:44 vboctor Fixed in Version => 2.0.0-beta.1
2016-07-09 17:44 vboctor Target Version => 2.0.0-beta.1
2016-07-19 04:19 vboctor Status resolved => closed